%global debug_package %{nil}

Name:             pyatspi
Version:          2.33.92
Release:          1
Summary:          Python client bindings for D-Bus AT-SPI
License:          LGPLv2 and GPLv2
URL:              https://wiki.linuxfoundation.org/en/Accessibility/ATK/AT-SPI/AT-SPI_on_D-Bus
Source0:          https://download.gnome.org/sources/pyatspi/2.30/%{name}-%{version}.tar.xz

BuildRequires:    atk-devel dbus-devel dbus-glib-devel glib2-devel gtk2-devel libxml2-devel
BuildRequires:    pygobject3-devel python2-dbus python2-devel python2-enum34 python3-dbus python3-devel

BuildArch:        noarch

%global _description \
at-spi allows assistive technologies to access GTK-based applications. Essentially it exposes the \
internals of applications for automation, so tools such as screen readers, magnifiers, or even    \
scripting interfaces can query and interact with GUI controls.\
\
This version of at-spi is a major break from previous versions. It has been completely rewritten\
to use D-Bus rather than ORBIT / CORBA for its transport protocol.

%description     %_description

%package -n      python2-pyatspi
Summary:         Python2 client bindings for D-Bus AT-SPI
Requires:        at-spi2-core python2-gobject

%{?python_provide:%python_provide python2-pyatspi}

Provides:        pyatspi = %{version}-%{release}
Obsoletes:       pyatspi < %{version}-%{release}

%description -n  python2-pyatspi
 %_description
This package includes a python2 client library for the AT-SPI.

%package -n      python3-pyatspi
Summary:         Python3 client bindings for D-Bus AT-SPI
Requires:        at-spi2-core  python3-gobject

%description -n  python3-pyatspi
 %_description
This package includes a python3 client library for the AT-SPI.

%prep
%autosetup -p1
cp -a . %{py3dir}

%build
%configure --with-python=python2 --enable-tests
make

pushd %{py3dir}
%configure --with-python=python3 --enable-tests
make
popd

%install
%make_install

pushd %{py3dir}
%make_install
popd

cp -a examples python3-examples
sed -i '1s|^#!/usr/bin/python|#!%{__python3}|' python3-examples/magFocusTracker.py

%check

%files -n    python2-pyatspi
%license COPYING COPYING.GPL
%doc AUTHORS README
%doc examples/
%{python2_sitelib}/

%files -n    python3-pyatspi
%license COPYING COPYING.GPL
%doc AUTHORS README
%doc python3-examples/*
%{python3_sitelib}/

%changelog
* Thu Sep 05 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.2-1
- Package init
